{% extends "base.html" %}

{% block content %}

    <div class= "container">
        <div class="smallcontainer">
            <h1 id="detailheader">{{ project.name }}</h1>
            {% load markdownify %}
            {{ project.description|markdownify }}
            {% if project.tasks.all %}
                </div>
                <table class="table">
                    <thead>
                        <tr>
                            <td>
                                <div>
                                    <span>Name</span>
                                    <span>Assignee</span>
                                    <span>Start date</span>
                                    <span>Due date</span>
                                    <span>Is completed</span>
                                </div>
                            </td>
                        </tr>
                    </thead>
                    <tbody>
                        {% for task in project.tasks.all %}
                            <tr>
                                <td >
                                    <div>
                                        <span>{{ task.name }}</span>
                                        <span>{{ task.assignee }}</span>
                                        <span>{{ task.start_date|date:"M d" }}</span>
                                        <span>{{ task.due_date|date:"M d" }}</span>
                                        <span>{{ task.is_completed|yesno }}</span>
                                    </div>
                                </td>
                            </tr>
                        {% endfor %}
                    </tbody>
                </table>
            {% else %}
                <p>This project has no tasks</p>
            {% endif %}
            <div class= "specialbutton">
                <p>
                    <a class="createbutton" href="{% url 'create_task' %}">Create a new task</a>
                </p>
            </div>
        </div>

{% endblock content %}
